EmailActionConfig (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.action.EmailActionConfig class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.action
Class EmailActionConfig

    java.lang.Object
      org.hyperic.hq.bizapp.shared.action.EmailActionConfig

All Implemented Interfaces:
  ActionConfigInterface

Direct Known Subclasses:
  EmailAction

    public class EmailActionConfig

extends java.lang.Object
implements ActionConfigInterface

Field Summary
`static java.lang.String` | `CFG_NAMES`
`static java.lang.String` | `CFG_SMS`
`static java.lang.String` | `CFG_TYPE`
`static int` | `TYPE_EMAILS`
`static int` | `TYPE_ROLES`
`static int` | `TYPE_USERS`

Constructor Summary
`EmailActionConfig()`

Method Summary
`ConfigResponse` | `getConfigResponse()` Get the configuration response for the action based on its properties
`ConfigSchema` | `getConfigSchema()` Get the configuration schema for the action
`java.lang.String` | `getImplementor()` Return the name of the class that implements the action
`java.lang.String` | `getNames()`
`int` | `getType()`
`java.util.List` | `getUsers()` Returns the users.
`void` | `init(ConfigResponse config)` Initialize the action instance
`boolean` | `isSms()`
`void` | `setImplementor(java.lang.String impl)` Allow implementor to be overwritten
`void` | `setNames(java.lang.String names)`
`void` | `setSms(boolean sms)`
`void` | `setType(int type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CFG_TYPE

    public static final java.lang.String CFG_TYPE

See Also:
  Constant Field Values

### CFG_NAMES

    public static final java.lang.String CFG_NAMES

See Also:
  Constant Field Values

### CFG_SMS

    public static final java.lang.String CFG_SMS

See Also:
  Constant Field Values

### TYPE_EMAILS

    public static final int TYPE_EMAILS

See Also:
  Constant Field Values

### TYPE_USERS

    public static final int TYPE_USERS

See Also:
  Constant Field Values

### TYPE_ROLES

    public static final int TYPE_ROLES

See Also:
  Constant Field Values

Constructor Detail

### EmailActionConfig

    public EmailActionConfig()

Method Detail

### getConfigSchema

    public ConfigSchema getConfigSchema()

  Description copied from interface: `ActionConfigInterface`
  Get the configuration schema for the action

  Specified by:
    `getConfigSchema` in interface `ActionConfigInterface`
  Returns:
    a config schema

### getConfigResponse

    public ConfigResponse getConfigResponse()
                                     throws InvalidOptionException,
                                            InvalidOptionValueException

  Description copied from interface: `ActionConfigInterface`
  Get the configuration response for the action based on its properties

  Specified by:
    `getConfigResponse` in interface `ActionConfigInterface`
  Returns:
    a config schema
  Throws:
    `InvalidOptionException`
    `InvalidOptionValueException`

### init

    public void init(ConfigResponse config)
              throws InvalidActionDataException

  Initialize the action instance

  Specified by:
    `init` in interface `ActionConfigInterface`
  Parameters:
    `config` - configuration properties
  Throws:
    `InvalidActionDataException`

### getType

    public int getType()

### setType

    public void setType(int type)

### getNames

    public java.lang.String getNames()

### setNames

    public void setNames(java.lang.String names)

### getUsers

    public java.util.List getUsers()

  Returns the users. This is the list of emails, user ID's, or role ID's

### isSms

    public boolean isSms()

### setSms

    public void setSms(boolean sms)

### setImplementor

    public void setImplementor(java.lang.String impl)

  Description copied from interface: `ActionConfigInterface`
  Allow implementor to be overwritten

  Specified by:
    `setImplementor` in interface `ActionConfigInterface`

### getImplementor

    public java.lang.String getImplementor()

  Description copied from interface: `ActionConfigInterface`
  Return the name of the class that implements the action

  Specified by:
    `getImplementor` in interface `ActionConfigInterface`
  Returns:
    the Action classname

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.